diff --git a/server/src/test/java/org/elasticsearch/snapshots/SnapshotStatusApisIT.java b/server/src/test/java/org/elasticsearch/snapshots/SnapshotStatusApisIT.java
index c29eb9ad86bea..cbc4d8b002639 100644
--- a/server/src/test/java/org/elasticsearch/snapshots/SnapshotStatusApisIT.java
+++ b/server/src/test/java/org/elasticsearch/snapshots/SnapshotStatusApisIT.java
@@ -29,6 +29,7 @@
 import org.elasticsearch.common.unit.TimeValue;
 
 import java.util.List;
+import java.util.concurrent.TimeUnit;
 
 import static org.elasticsearch.test.hamcrest.ElasticsearchAssertions.assertAcked;
 import static org.hamcrest.Matchers.equalTo;
@@ -75,7 +76,7 @@ public void testStatusApiConsistency() {
         assertEquals(snStatus.getStats().getTime(), snapshotInfo.endTime() - snapshotInfo.startTime());
     }
 
-    public void testStatusAPICallInProgressSnapshot() throws InterruptedException {
+    public void testStatusAPICallInProgressSnapshot() throws Exception {
         Client client = client();
 
         logger.info("-->  creating repository");
@@ -100,7 +101,7 @@ public void testStatusAPICallInProgressSnapshot() throws InterruptedException {
 
         final List<SnapshotStatus> snapshotStatus = client.admin().cluster().snapshotsStatus(
             new SnapshotsStatusRequest("test-repo", new String[]{"test-snap"})).actionGet().getSnapshots();
-        assertEquals(snapshotStatus.get(0).getState(), SnapshotsInProgress.State.STARTED);
+        assertBusy(() -> assertEquals(SnapshotsInProgress.State.STARTED, snapshotStatus.get(0).getState()), 1L, TimeUnit.MINUTES);
 
         logger.info("--> unblock all data nodes");
         unblockAllDataNodes("test-repo");
